{
	"name": "fronend-code-chalenge",
	"private": true,
	"main": "Frontend/server/server.ts",
	"devDependencies": {
		"@graphql-codegen/cli": "1.21.5",
		"@graphql-codegen/typescript": "1.22.3",
		"@graphql-codegen/typescript-graphql-request": "^3.2.3",
		"@graphql-codegen/typescript-operations": "1.18.2",
		"@types/smoothscroll-polyfill": "^0.3.1",
		"bootstrap": "^4.6.0",
		"jest": "^26.6.3",
		"node-sass": "^6.0.1",
		"node-sass-glob-importer": "^5.3.2",
		"parcel-bundler": "^1.12.4",
		"parcel-plugin-static-files-copy": "^2.5.1",
		"sass": "^1.35.1",
		"smoothscroll-polyfill": "^0.4.4",
		"ts-jest": "^26.5.1"
	},
	"dependencies": {
		"@svgr/webpack": "^5.5.0",
		"@types/blueimp-md5": "^2.7.0",
		"@types/express": "^4.17.11",
		"@types/jest": "^23.3",
		"@types/moment": "^2.13.0",
		"@types/node": "^10.17.54",
		"@types/numeral": "0.0.25",
		"@types/react": "^17.0.2",
		"@types/react-dom": "^17.0.1",
		"@types/react-helmet": "^6.1.0",
		"@types/react-router-dom": "^5.1.7",
		"@types/react-router-hash-link": "^1.2.1",
		"@types/toastr": "^2.1.38",
		"app": "^0.1.0",
		"axios": "^0.21.1",
		"blueimp-md5": "^2.18.0",
		"express": "^4.17.1",
		"graphql": "^15.5.1",
		"graphql-tag": "^2.12.5",
		"html-react-parser": "^1.2.4",
		"moment": "^2.29.1",
		"numeral": "^2.0.6",
		"query-string": "^7.0.0",
		"react": "^16.14.0",
		"react-dom": "^16.14.0",
		"react-helmet": "^6.1.0",
		"react-responsive-modal": "^6.0.1",
		"react-router-dom": "^5.2.0",
		"react-router-hash-link": "^1.2.2",
		"react-slidedown": "^2.4.5",
		"react-tippy": "^1.4.0",
		"toastr": "^2.1.4",
		"ts-node": "^9.1.1",
		"typescript": "^3.9.9",
		"universal-cookie": "^4.0.4"
	},
	"scripts": {
		"dev": "parcel index.html --open --out-dir dist/development",
		"build": "npm run gen-graphql && tsc && parcel build server/server.ts --target node --out-dir dist/server && parcel build client/client.ts --out-dir dist/client -o scripts.js && parcel build styles/app.scss --out-dir dist/client -o styles.css",
		"test": "jest",
		"start": "cd dist/server; node server.js",
		"gen-graphql": "graphql-codegen --config graphql-gen-config.yml"
	},
	"jest": {
		"transform": {
			"^.+\\.tsx?$": "ts-jest"
		},
		"testRegex": "(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
		"moduleFileExtensions": [
			"ts",
			"tsx",
			"js",
			"jsx",
			"json",
			"node"
		]
	},
	"prettier": {
		"useTabs": true,
		"tabWidth": 4,
		"tslintIntegration": true
	},
	"staticFiles": {
		"// Konfigurace modulu": "parcel-plugin-static-files-copy",
		"staticPath": [
			{
				"staticPath": "/images",
				"staticOutDir": "/images",
				"outDirPattern": "**/dist/development"
			},
			{
				"staticPath": "/images",
				"staticOutDir": "/images",
				"outDirPattern": "**/dist/client"
			}
		]
	}
}